function WoWStudyFunction.SetupFlashcardDesignPanel(menuFrame, menuPanel2)
    local flashcardDesignPanel = CreateFrame("Frame", flashcardDesignPanel, menuFrame, "ShadowOverlayTemplate")
    flashcardDesignPanel:SetPoint("LEFT", menuPanel2, "RIGHT", 10, 0)
    flashcardDesignPanel:SetSize(600, 489)
    flashcardDesignPanel:Hide()

    local title = flashcardDesignPanel:CreateFontString(nil, "OVERLAY", "GameFontNormalLarge")
    title:SetPoint("TOP", flashcardDesignPanel, "TOP", 10, -10)
    title:SetText("Flashcard Design Coming Soon")

    return flashcardDesignPanel
end